#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

Summary:	MATE Desktop panel applets
Summary(pl.UTF-8):	Aplety panelu dla środowiska MATE Desktop
Name:		mate-panel
Version:	1.16.0
Release:	1
License:	LGPL v2+ (library), GPL v2+ (applets)
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.16/%{name}-%{version}.tar.xz
# Source0-md5:	3781180ad8196ede64f1257c904057f8
Patch0:		no-xdg-menu-prefix.patch
URL:		http://wiki.mate-desktop.org/mate-panel
BuildRequires:	NetworkManager-devel >= 0.6
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.80
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.7.1
BuildRequires:	gettext-tools >= 0.12
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gobject-introspection-devel >= 0.6.7
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.19.7}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.50.1
%{!?with_gtk3:BuildRequires:	libcanberra-gtk-devel}
%{?with_gtk3:BuildRequires:	libcanberra-gtk3-devel}
%{!?with_gtk3:BuildRequires:	libmateweather-devel >= 1.5.0}
%{?with_gtk3:BuildRequires:	libmateweather-devel >= 1.7.0}
BuildRequires:	librsvg-devel >= 2.36.2
BuildRequires:	libtool >= 1:1.4.3
%{?with_gtk3:BuildRequires:	libwnck-devel >= 3.0.0}
%{!?with_gtk3:BuildRequires:	libwnck2-devel >= 2.30.7-2}
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.9.3
BuildRequires:	mate-menus-devel >= 1.1.0
BuildRequires:	pango-devel >= 1:1.15.4
BuildRequires:	pkgconfig
BuildRequires:	python >= 2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.80
Requires:	dconf >= 0.13.4
Requires:	desktop-file-utils
Requires:	gsettings-desktop-schemas
Requires:	gtk-update-icon-cache
%{!?with_gtk3:Requires:	libmateweather >= 1.5.0}
%{?with_gtk3:Requires:	libmateweather >= 1.7.0}
Requires:	librsvg >= 2.36.2
%{?with_gtk3:Requires:	libwnck >= 3.0.0}
%{!?with_gtk3:Requires:	libwnck2 >= 2.30.7-2}
Requires:	marco
Requires:	mate-desktop >= 1.9.3
Requires:	mate-menus >= 1.1.0
Suggests:	mate-settings-daemon
# for fish
Requires:	fortune-mod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop panel applets.

%description -l pl.UTF-8
Aplety panelu dla środowiska MATE Desktop.

%package libs
Summary:	Shared library for MATE panel applets
Summary(pl.UTF-8):	Biblitoteka współdzielona dla apletów panelu MATE
License:	LGPL v2+
Group:		Libraries
Requires:	cairo >= 1.0.0
Requires:	gdk-pixbuf2 >= 2.7.1
Requires:	glib2 >= 1:2.36
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.19.7}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	pango >= 1:1.15.4
Requires:	xorg-lib-libXrandr >= 1.3.0

%description libs
Shared library for MATE panel applets.

%description libs -l pl.UTF-8
Biblitoteka współdzielona dla apletów panelu MATE.

%package devel
Summary:	Development files for libmate-panel-applet library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libmate-panel-applet
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36
%{!?with_gtk3:Requires:	gtk+2-devel >= 2:2.19.7}
%{?with_gtk3:Requires:	gtk+3-devel >= 3.0.0}

%description devel
Development files for libmate-panel-applet library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libmate-panel-applet.

%package apidocs
Summary:	API documentation for libmate-panel-applet library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmate-panel-applet
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libmate-panel-applet library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmate-panel-applet.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# libexecdir needed for gnome conflicts
%configure \
	--libexecdir=%{_libdir}/%{name} \
	--enable-network-manager \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0} \
	--with-html-dir=%{_gtkdocdir} \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

desktop-file-install \
        --remove-category="MATE" \
        --add-category="X-Mate" \
        --dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,jv,ku_IQ,pms}

%find_lang %{name} --with-mate --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-desktop-item-edit
%attr(755,root,root) %{_bindir}/mate-panel
%attr(755,root,root) %{_bindir}/mate-panel-test-applets
%{_mandir}/man1/mate-desktop-item-edit.1*
%{_mandir}/man1/mate-panel-test-applets.1*
%{_mandir}/man1/mate-panel.1*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/clock-applet
%attr(755,root,root) %{_libdir}/%{name}/fish-applet
%attr(755,root,root) %{_libdir}/%{name}/notification-area-applet
%attr(755,root,root) %{_libdir}/%{name}/wnck-applet
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/dbus-1/services/org.mate.panel.*.service
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/mate-panel*.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-panel-applet-4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-panel-applet-4.so.1
%{_libdir}/girepository-1.0/MatePanelApplet-4.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-panel-applet-4.so
%{_includedir}/mate-panel-4.0
%{_pkgconfigdir}/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/mate-panel-applet
%endif
%changelog
* Fri Sep 23 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-panel.git;a=log;h=master

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 6e6f6a5
- up to 1.16.0

* Sat Aug 13 2016 Jan Palus <atler@pld-linux.org> 8545bea
- up to 1.14.2

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ee8f91
- versioned runtime dependency on librsvg; cleanup

* Mon Jun 13 2016 Elan Ruusamäe <glen@delfi.ee> de65314
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> a4f9bc8
- up to 1.14.0

* Mon Jan 25 2016 Jan Palus <atler@pld-linux.org> 4b93adf
- up to 1.12.2

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 8841006
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 130c6e9
- updated install time libXrandr dependency

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 0f39e28
- up to 1.12.0

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> 6ff11d9
- up to 1.10.1

* Tue May 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 814effe
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ef93baf
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fac0f5c
- updated gettext BR

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> d3c7285
- up to 1.8.1

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 1f9d57d
- actually make use of gtk3 bcond
- cleaned up scrollkeeper leftovers

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f0bcc6
- cmn locale is supported now
- added gtk3 bcond

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 56dbb33
- noarch apidocs

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> d3ef0b3
- up to 1.8.0
- libwnck support added upstream (use-libwnck.patch removed)
- mate-doc-utils replaced by yelp-tools
- adjust for renamed mate-window-manager -> marco

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> d819655
- updated to 1.6.2

* Fri Dec 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 8233cc5
- update locale name: sr@ije -> sr@ijekavian; release 5

